<?php


namespace Repository;

use Doctrine\ORM\EntityManager;
use Util\InstanceProvider;
use Zeedhi\DevOps\Model\Traits\TQuery;

class Municipio extends RepositoryBase
{

    use TQuery;

    const ENTITY_NAME = '\Teknisa\Model\Geral\Entities\Municipio';
    /**
     * @var EntityManager
     */
    private $entityManager;

    public function __construct()
    {
        parent::__construct(self::ENTITY_NAME);
        $this->entityManager = InstanceProvider::getEntityManager();
    }

    public function getCity($sigla, $countryId, $conditions = " "){
        $query = "
        SELECT *
		  FROM ( SELECT M.CDMUNICIPIO, M.NMMUNICIPIO, M.SGESTADO AS STATE_SYMBOL
                   FROM MUNICIPIO M
                  WHERE M.SGESTADO = :sigla
		            AND M.CDPAIS = :CDPAIS
               ORDER BY M.NMMUNICIPIO )
         WHERE 1=1
		 $conditions
        ";

        $params = array(
            "sigla" => $sigla,
            "CDPAIS" => $countryId
        );
        $result = $this->entityManager->getConnection()->fetchAll($query, $params);
        return ($result) ? $result : array();
    }
    public function ApiGetCity($sgEstadoFilter, $countryIdFilter, $conditions = " "){
        $query = <<<SQL
        SELECT *
		  FROM ( SELECT M.CDMUNICIPIO, M.NMMUNICIPIO, M.SGESTADO, M.CDPAIS
                   FROM MUNICIPIO M
                  WHERE 1 =1
		            $sgEstadoFilter
		            $countryIdFilter
               ORDER BY M.NMMUNICIPIO )
         WHERE 1=1
		 $conditions
SQL;

        $result = $this->entityManager->getConnection()->fetchAll($query);
        return ($result) ? $result : array();
    }

}
