/******************************************************************************/
/*                                                                            */
/* Trigger: SINCRONIZA_MODULOFILI                                             */
/* Tabela : MODULOFILI -> PRODMODFILI                                         */
/*                                                                            */
/* Atualiza os dados da tabela MODULOFILI na tabela PRODMODFILI               */
/*                                                                            */
/* Criao:                                                                   */
/* 11/08/2009 - Fleas                                                        */
/*                                                                            */
/******************************************************************************/


IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'SINCRONIZA_MODULOFILI'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER SINCRONIZA_MODULOFILI 
GO


CREATE TRIGGER SINCRONIZA_MODULOFILI 
ON MODULOFILI
AFTER INSERT
AS
	DECLARE @V_OPERACAO		VARCHAR(1);
	DECLARE @V_NEW_CDMODULOPROD	VARCHAR(10);
	DECLARE @V_NEW_CDFILIAL		VARCHAR(4);
	DECLARE @V_OLD_CDMODULOPROD	VARCHAR(10);
	DECLARE @V_OLD_CDFILIAL		VARCHAR(4);
BEGIN
   DECLARE C_MODULOFILI CURSOR FOR
      SELECT
      	 'I' OPERACAO,
      	 CDMODULOPROD	NEW_CDMODULOPROD,
      	 CDFILIAL		NEW_CDFILIAL,
      	 NULL			OLD_CDMODULOPROD,
      	 NULL			OLD_CDFILIAL
         FROM
      	 INSERTED
       WHERE
      	(0 = (SELECT COUNT(*) FROM DELETED))
   OPEN C_MODULOFILI;
   FETCH NEXT FROM C_MODULOFILI INTO @V_OPERACAO, @V_NEW_CDMODULOPROD, @V_NEW_CDFILIAL, @V_OLD_CDMODULOPROD, @V_OLD_CDFILIAL;
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
   	IF @V_OPERACAO = 'I'
   	BEGIN
   		INSERT INTO PRODMODFILI
   			(CDMODULOPROD, CDPRODUTO, CDFILIAL)
   			(SELECT @V_NEW_CDMODULOPROD, CDPRODUTO, @V_NEW_CDFILIAL
   			   FROM PRODMODPROD PMP
   			  WHERE PMP.CDMODULOPROD = @V_NEW_CDMODULOPROD
   			    AND NOT EXISTS (SELECT CDMODULOPROD, CDPRODUTO, CDFILIAL
   							  FROM PRODMODFILI PMF
   							 WHERE PMF.CDMODULOPROD = PMP.CDMODULOPROD
   							   AND PMF.CDFILIAL	    = @V_NEW_CDFILIAL))
   	END;
   	FETCH NEXT FROM C_MODULOFILI INTO @V_OPERACAO, @V_NEW_CDMODULOPROD, @V_NEW_CDFILIAL, @V_OLD_CDMODULOPROD, @V_OLD_CDFILIAL;
   END;
   CLOSE C_MODULOFILI;
   DEALLOCATE C_MODULOFILI;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'SINCRONIZA_MODULOFILI ','5.07.015';
GO